Unified Customer-Item Recommender API

Returns customers most similar to a list of reference customers.

Similarity in embedding space is measured by angular distance. The returned customers will be the most similar to any (but not necessarily all) of the customers in the reference group.

get
https://qual-unified-recommender.service.migros.cloud/migros/customers/v1/recommender/similarcustomers/{domain_id}/{customer_list}

Query Parameters

limitinteger

Number of most similar customers to return.

Default:10

>= 1<= 100

Path Parameters

domain_idstringrequired

Default:Cumulus

customer_liststringrequired

Comma separated list of customers; at least one customer, at most 20.

Match pattern:^[a-zA-Z0-9-]+(,[a-zA-Z0-9-]+){0,19}$

Example:2099XXXXXXX,2099XXXXXXX

Response

application/json

OK

CustomerScores

customer_idstring

e.g. CumulusID, PersonenID or pseudonymized version thereof

Match pattern:^[a-zA-Z0-9-]+$

Example:2099XXXXXXX

scorenumber(float)

Depending on context, a score relates to a 7-day purchase probability or is just a ranking.

>= 0<= 1

get/migros/customers/v1/recommender/similarcustomers/{domain_id}/{customer_list}
 
application/json

Returns items most similar to a list of reference items.

Similarity in embedding space is measured by angular distance. The returned items will be the most similar to any (but not necessarily all) of the items in the reference group.

get
https://qual-unified-recommender.service.migros.cloud/migros/customers/v1/recommender/similaritems/{domain_id}/{items_list}

Query Parameters

limitinteger

Number of most similar items to return.

Default:10

>= 1<= 100

Path Parameters

domain_idstringrequired

Default:Cumulus

items_liststringrequired

Comma separated list of items; at least one item, at most 20.

Match pattern:^[a-zA-Z0-9]+(,[a-zA-Z0-9]+){0,19}$

Example:210121024000,165000600000

Response

application/json

OK

ItemScores

item_idstring

Migros ArtikelID

Match pattern:^[a-zA-Z0-9=]+$

Example:110136400000

scorenumber(float)

Depending on context, a score relates to a 7-day purchase probability or is just a ranking.

>= 0<= 1

get/migros/customers/v1/recommender/similaritems/{domain_id}/{items_list}
 
application/json

Returns API status.

Returns data freshness.

get
https://qual-unified-recommender.service.migros.cloud/migros/customers/v1/recommender/status/{domain_id}

Path Parameters

domain_idstringrequired

Default:Cumulus

Response

200

OK

get/migros/customers/v1/recommender/status/{domain_id}
 
200

ArrayOfUsers

array
auth_role_groupstring
created_atstring
descriptionstring
domain_accessstring
emailstring
modified_atstring
org_groupstring
proxy_userboolean
user_idstring
usernamestring

Customer

string

e.g. CumulusID, PersonenID or pseudonymized version thereof

Match pattern:^[a-zA-Z0-9-]+$

Example